public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sebastian Pipping" <sping@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-util/kdbg/
Date: Thu,  7 Dec 2023 14:26:51 +0000 (UTC)	[thread overview]
Message-ID: <1701958954.5b6302044ee07040b4c3f9c183eb7e1118bb34ab.sping@gentoo> (raw)

commit:     5b6302044ee07040b4c3f9c183eb7e1118bb34ab
Author:     Sebastian Pipping <sping <AT> gentoo <DOT> org>
AuthorDate: Thu Dec  7 14:22:05 2023 +0000
Commit:     Sebastian Pipping <sping <AT> gentoo <DOT> org>
CommitDate: Thu Dec  7 14:22:34 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5b630204

dev-util/kdbg: 3.1.0 + EmptyGlobalAssignment

Closes: https://bugs.gentoo.org/919130
Signed-off-by: Sebastian Pipping <sping <AT> gentoo.org>

 dev-util/kdbg/Manifest          |  1 +
 dev-util/kdbg/kdbg-3.1.0.ebuild | 42 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 43 insertions(+)

diff --git a/dev-util/kdbg/Manifest b/dev-util/kdbg/Manifest
index cb699cd4836d..6c598e48c73d 100644
--- a/dev-util/kdbg/Manifest
+++ b/dev-util/kdbg/Manifest
@@ -1 +1,2 @@
 DIST kdbg-3.0.1.tar.gz 431143 BLAKE2B 869bf9765650b2a4a2330f99303b51f599df764848ff18442c8c6813421fece2671e5e78a0e8c66a59bd77f06a7f02677ec08a49fb9a28874b92b0f84bf8f74f SHA512 9f3e0073bf37e56fa8ad0c3ae5f0be80331d8963b564ff376aee40c3ccebab5b5a482c31f110fd0f4dd14f9614cff31102d8edf62ffb33f4ae361d24346543ea
+DIST kdbg-3.1.0.tar.gz 444052 BLAKE2B d0083094f8ba3cb374b2df4a20b7697ddae4fb24579e18d883701a5e826e86041a8cdb7bd1919c881bc149c49e764221eb246d98bcebacbffbdb5e0f83264ad6 SHA512 e7da5bb1a4882b031077bd4344c6795b058088eb9a00ef3a2ba9c3d72c0a022bb16822525369ca7bcfb623c775cf73140caa114c1591d37f1d6f6a3b22ae649b

diff --git a/dev-util/kdbg/kdbg-3.1.0.ebuild b/dev-util/kdbg/kdbg-3.1.0.ebuild
new file mode 100644
index 000000000000..57a3dbff3ff6
--- /dev/null
+++ b/dev-util/kdbg/kdbg-3.1.0.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+ECM_HANDBOOK="true"
+KFMIN=5.85.0
+QTMIN=5.15.2
+inherit ecm
+
+DESCRIPTION="Graphical debugger interface"
+HOMEPAGE="https://www.kdbg.org/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="5"
+KEYWORDS="~amd64 ~riscv ~x86"
+
+DEPEND="
+	>=dev-qt/qtgui-${QTMIN}:5
+	>=dev-qt/qtwidgets-${QTMIN}:5
+	>=kde-frameworks/kconfig-${KFMIN}:5
+	>=kde-frameworks/kconfigwidgets-${KFMIN}:5
+	>=kde-frameworks/kcoreaddons-${KFMIN}:5
+	>=kde-frameworks/ki18n-${KFMIN}:5
+	>=kde-frameworks/kiconthemes-${KFMIN}:5
+	>=kde-frameworks/kwidgetsaddons-${KFMIN}:5
+	>=kde-frameworks/kwindowsystem-${KFMIN}:5
+	>=kde-frameworks/kxmlgui-${KFMIN}:5
+"
+RDEPEND="${DEPEND}
+	sys-devel/gdb
+"
+
+src_prepare() {
+	# allow documentation to be handled by eclass
+	mv kdbg/doc . || die
+	sed -i -e '/add_subdirectory(doc)/d' kdbg/CMakeLists.txt || die
+	echo 'add_subdirectory(doc)' >> CMakeLists.txt || die
+
+	ecm_src_prepare
+}


             reply	other threads:[~2023-12-07 14:26 UTC|newest]

Thread overview: 16+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-12-07 14:26 Sebastian Pipping [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-02-24 12:23 [gentoo-commits] repo/gentoo:master commit in: dev-util/kdbg/ Jakov Smolić
2021-11-07 17:23 Andreas Sturmlechner
2020-05-20 22:18 Andreas Sturmlechner
2020-01-03 22:58 Andreas Sturmlechner
2019-12-09 11:21 Andreas Sturmlechner
2019-04-03 15:18 Andreas Sturmlechner
2018-12-16 16:01 Andreas Sturmlechner
2017-12-12 23:04 Andreas Sturmlechner
2017-12-12 23:04 Andreas Sturmlechner
2017-10-15 12:23 Andreas Sturmlechner
2017-08-26 12:22 Michael Palimaka
2017-08-26 12:22 Michael Palimaka
2017-01-18 13:19 Michael Palimaka
2016-10-16 12:49 Johannes Huber
2015-11-29 16:24 Michael Palimaka

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1701958954.5b6302044ee07040b4c3f9c183eb7e1118bb34ab.sping@gentoo \
    --to=sping@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox